Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
thread_win32.h File Reference
`#include <windows.h>`
Include dependency graph for thread_win32.h:

Go to the source code of this file.

## Data Structures
union | rb_thread_lock_union
struct | rb_thread_cond_struct
struct | native_thread_data_struct
struct | rb_global_vm_lock_struct

## Typedefs
typedef HANDLE | rb_thread_id_t
typedef union rb_thread_lock_union | rb_thread_lock_t
typedef struct rb_thread_cond_struct | rb_thread_cond_t
typedef struct native_thread_data_struct | native_thread_data_t
typedef struct rb_global_vm_lock_struct | rb_global_vm_lock_t

## Functions
WINBASEAPI BOOL WINAPI | TryEnterCriticalSection (IN OUT LPCRITICAL_SECTION lpCriticalSection)

## Typedef Documentation

typedef struct native_thread_data_struct native_thread_data_t

typedef struct rb_global_vm_lock_struct rb_global_vm_lock_t

typedef struct rb_thread_cond_struct rb_thread_cond_t

typedef HANDLE rb_thread_id_t

Definition at line 24 of file thread_win32.h.

typedef union rb_thread_lock_union rb_thread_lock_t

## Function Documentation

WINBASEAPI BOOL WINAPI TryEnterCriticalSection | ( | IN OUT LPCRITICAL_SECTION | lpCriticalSection | ) |